Package Details: fluffychat 0.32.2-1

Git Clone URL: https://aur.archlinux.org/fluffychat.git (read-only, click to copy)
Package Base: fluffychat
Description: Chat with your friends
Upstream URL: https://fluffychat.im/
Keywords: Chat Matrix
Licenses: AGPL3
Conflicts: fluffychat
Provides: fluffychat
Submitter: garionion
Maintainer: garionion
Last Packager: garionion
Votes: 6
Popularity: 0.44
First Submitted: 2020-10-29 10:59
Last Updated: 2021-06-20 14:05

Pinned Comments

garionion commented on 2021-06-12 13:01

for those wo don't want to build this package by themself, there is now also a -bin package: https://aur.archlinux.org/packages/fluffychat-bin/

Latest Comments

1 2 3 Next › Last »

garionion commented on 2021-06-12 13:01

for those wo don't want to build this package by themself, there is now also a -bin package: https://aur.archlinux.org/packages/fluffychat-bin/

jaap commented on 2021-05-02 11:57

Yes! thank you it works now.

garionion commented on 2021-05-01 22:03

@jaap it builds again after the latest update (even with a clean directory)

jaap commented on 2021-04-22 18:08

yes installing flutter absolutely is a bit of a pain, as is updating it... Currently it doesnt build for me because of:

[  +42 ms] Running "flutter pub get" in fluffychat-v0.29.1... (completed in 7.5s)
[   +1 ms] "flutter linux" took 7,885ms.
[   +3 ms] pub get failed (1;     | /b/s/w/ir/cache/builder/src/third_party/dart/third_party/pkg/pub/bin/pub.dart 9:48  main)
[        ] 
           #0      throwToolExit (package:flutter_tools/src/base/common.dart:10:3)
           #1      _DefaultPub.batch (package:flutter_tools/src/dart/pub.dart:322:7)
           <asynchronous suspension>
           #2      _DefaultPub.get (package:flutter_tools/src/dart/pub.dart:222:7)
           <asynchronous suspension>
           #3      FlutterCommand.verifyThenRunCommand (package:flutter_tools/src/runner/flutter_command.dart:1135:7)
           <asynchronous suspension>
           #4      FlutterCommand.run.<anonymous closure> (package:flutter_tools/src/runner/flutter_command.dart:1009:27)
           <asynchronous suspension>
           #5      AppContext.run.<anonymous closure> (package:flutter_tools/src/base/context.dart:150:19)
           <asynchronous suspension>
           #6      AppContext.run (package:flutter_tools/src/base/context.dart:149:12)
           <asynchronous suspension>
           #7      CommandRunner.runCommand (package:args/command_runner.dart:197:13)
           <asynchronous suspension>
           #8      FlutterCommandRunner.runCommand.<anonymous closure> (package:flutter_tools/src/runner/flutter_command_runner.dart:278:9)
           <asynchronous suspension>
           #9      AppContext.run.<anonymous closure> (package:flutter_tools/src/base/context.dart:150:19)
           <asynchronous suspension>
           #10     AppContext.run (package:flutter_tools/src/base/context.dart:149:12)
           <asynchronous suspension>
           #11     FlutterCommandRunner.runCommand (package:flutter_tools/src/runner/flutter_command_runner.dart:234:5)
           <asynchronous suspension>
           #12     run.<anonymous closure>.<anonymous closure> (package:flutter_tools/runner.dart:64:9)
           <asynchronous suspension>
           #13     run.<anonymous closure> (package:flutter_tools/runner.dart:62:12)
           <asynchronous suspension>
           #14     AppContext.run.<anonymous closure> (package:flutter_tools/src/base/context.dart:150:19)
           <asynchronous suspension>
           #15     AppContext.run (package:flutter_tools/src/base/context.dart:149:12)
           <asynchronous suspension>
           #16     runInContext (package:flutter_tools/src/context_runner.dart:73:10)
           <asynchronous suspension>
           #17     main (package:flutter_tools/executable.dart:90:3)
           <asynchronous suspension>


[   +2 ms] Running shutdown hooks
[        ] Shutdown hooks complete
[        ] exiting with code 1

and a manual pug get:

Could not find a file named "pubspec.yaml" in https://github.com/walsha2/flutter_math.git 6c3284faaedfe1dcb08f23d2c519bc95cbf0dbaf.
Running "flutter pub get" in fluffychat-v0.29.1...                      
pub get failed (1; Could not find a file named "pubspec.yaml" in https://github.com/walsha2/flutter_math.git 6c3284faaedfe1dcb08f23d2c519bc95cbf0dbaf.)

I think this has been fixed in the repo, but the changelog has been abandoned so I am not sure.

garionion commented on 2021-04-09 21:20

@jaap i won't add flutter as makedep because it would potentially change your maybe existing dev environment and if not, flutter wants to change $things in /opt/flutter and you would have to be part of 'flutterusers' and apperently, this is a problem for many users. i did remove flutter pub get tho, as this changes nothing for the build

jaap commented on 2021-04-07 19:02

Could you remove the flutter pub get? If you have ssh keys setup for gitlab.com with a password you are unable to enter those in flutter pub get. For some reason I am able to enter it during flutter build, I dont know why probably flutter not passing on the stdin or smth.

And maybe add flutter as a makedep instead of downloading it completely new? Would save some bandwidth and help make sure we dont compile with an old flutter.

AverytheFurry commented on 2021-03-31 20:22

@garionion the dependency fixed the x issue* it looked grey and was unclickable before

AverytheFurry commented on 2021-03-31 20:12

libolm is a dependency for e2ee and fixes the stuck menu

garionion commented on 2021-03-31 20:06

@AverytheFurry i clicked just on my Profile Picture and I had an "X" to close the settings on tha same place (which worked btw).

AverytheFurry commented on 2021-03-31 20:03

Clicking on the profile picture causes you to be stuck on the settings until you restart the app, not sure if this is an issue with this aur ver. or the app, so I'm posting here first.